use std::fs;
use std::path::PathBuf;
use clap::Parser;

mod ast;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
struct Args {
    config: PathBuf,
}

fn main() {
    let args = Args::parse();
    let params_toml = fs::read_to_string(&args.config)
        .expect("Failed to read parameters file into string")
        .parse::<toml::Table>()
        .expect("Failed to parse TOML from parameters file");

    println!("{}", params_toml["global_flow"]["gen_decl"]);
}
